* Renamed slink_cd to debian_cd (by deleting and adding)

*  Added subdirectories ./slink/ ./potato/. They now hold the master
   configuration files.

*  Moved old slink[12345].* files from ./ to slink/ as cd[12345].*

*  Files in potato/ are copies of slink/* with s/slink/potato/g.

*  Extensively edited debian_cd:
      - Added $CODENAME, $CODENAME_STATUS configuration variables.
      - Changed script, so that master config files come from
        $CODENAME
      - Trees are generated in $CODENAME[12345]
      - Added $SCANPACKAGES variable, so that a patched
        dpkg-scanpackages can be run.

*  Edited mklist so that $CODENAME is used.

*  Checked the steps: genlist, tree, packages.

*  TODO: Check the other steps, edit README
This commit is contained in:
Jens Scheidtmann 1999-05-27 23:42:36 +00:00
parent c3a6a94b6f
commit 89b3fce1d7
44 changed files with 1480 additions and 179 deletions

349
debian_cd
View File

@ -1,9 +1,11 @@
#!/bin/bash #!/bin/bash
# slink_cd v 1.13 (c) Steve McIntyre <stevem@chiark.greenend.org.uk> # debian_cd v pre1.14 (c) Steve McIntyre <stevem@chiark.greenend.org.uk>
# Released under GPL 31 Mar 1999 # Released under GPL 31 Mar 1999
# See the file COPYING for license details # See the file COPYING for license details
# Greatly influenced by the older Makefile system in the Hamm debian-cd package # Greatly influenced by the older Makefile system in the Hamm debian-cd package
# #
# Changes for using $CODENAME (C) 1999 Jens Ritter <grimaldi@debian.org>
#
############################################################################## ##############################################################################
# #
# Read the README! IMPORTANT STUFF HERE! # Read the README! IMPORTANT STUFF HERE!
@ -11,8 +13,16 @@
############################################################################## ##############################################################################
# Version number, to be used later # Version number, to be used later
SLINKCD_VERSION=1.13 DEBIANCD_VERSION=pre1.14
SLINKCD_SITE="http://www.chiark.greenend.org.uk/~stevem/DebianCD/" DEBIANCD_SITE="http://cvs.debian.org/cgi-bin/cvs-web/debian-boot/debian-cd/"
# For which branch of the ftp archive do you want to generate images?
# Note: This two do have to correspond with your mirror!!
# In addition CODENAME determines which master config file
# subdirectory is used, when generating the file lists of the CDs.
CODENAME=${CODENAME:-potato}
CODENAME_STATUS=${CODENAME_STATUS:-unstable}
########################################################################### ###########################################################################
# Default options - we check for these in the environment first, so it # Default options - we check for these in the environment first, so it
@ -22,10 +32,10 @@ SLINKCD_SITE="http://www.chiark.greenend.org.uk/~stevem/DebianCD/"
# environment appropriately, then calls this for each architecture, # environment appropriately, then calls this for each architecture,
# something like: # something like:
# #
# ARCH=i386 TDIR=~/i386-tmp OUT=~/i386-out ./slink_cd <options> # ARCH=i386 TDIR=~/i386-tmp OUT=~/i386-out ./debian_cd <options>
# ARCH=m68k TDIR=~/m68k-tmp OUT=~/m68k-out ./slink_cd <options> # ARCH=m68k TDIR=~/m68k-tmp OUT=~/m68k-out ./debian_cd <options>
# ARCH=alpha TDIR=~/alpha-tmp OUT=~/alpha-out ./slink_cd <options> # ARCH=alpha TDIR=~/alpha-tmp OUT=~/alpha-out ./debian_cd <options>
# ARCH=sparc TDIR=~/sparc-tmp OUT=~/sparc-out ./slink_cd <options> # ARCH=sparc TDIR=~/sparc-tmp OUT=~/sparc-out ./debian_cd <options>
# #
# It's not pretty but it should work... (TM) :-) - look at the included # It's not pretty but it should work... (TM) :-) - look at the included
# "arch" script for an example. # "arch" script for an example.
@ -59,16 +69,24 @@ MKISOFS_OPTS=${MKISOFS_OPTS:-"-a -r -F -T"} # For sym-link farmers.
# TDIR must be on the same partition as the mirror for hard links trick # TDIR must be on the same partition as the mirror for hard links trick
# to work # to work
TDIR=${TDIR:-~stevem/slinkcd} TDIR=${TDIR:-/mnt/mirror/jens/potatocd}
# Target directory for output ISO images # Target directory for output ISO images
OUT=${OUT:-$MIRROR/local/images} OUT=${OUT:-/mnt/mirror/jens/images}
# Sparc (maybe other?) boot directory from where to grab the SILO boot loader # Sparc (maybe other?) boot directory from where to grab the SILO boot loader
BOOTDIR=${BOOTDIR:-/boot} BOOTDIR=${BOOTDIR:-/boot}
. $BASEDIR/vecho # Local definitions for vecho, vvecho, vvvecho . $BASEDIR/vecho # Local definitions for vecho, vvecho, vvvecho
# I patch dpkg-scanpackages to ignore zero length files,
# because I don't mirror slink any more (only potato). I have a script
# which touches every file a symlink from potato points to (in slink).
# By changing only one line in dpkg-scanpackages I am able to generate
# potato only cds.
SCANPACKAGES=${SCANPACKAGES:-$BASEDIR/dpkg-scanpackages}
# Default debug level # Default debug level
VERBOSE=0 VERBOSE=0
DATE=`date +%Y%m%d` DATE=`date +%Y%m%d`
@ -264,10 +282,10 @@ vecho SINGLE_DISK=$SINGLE_DISK
# Sort out non-US link - this should be done better... # Sort out non-US link - this should be done better...
if [ "$NU"x = "1"x ] ; then if [ "$NU"x = "1"x ] ; then
vecho Checking for non-US link in $MIRROR/dists/slink vecho Checking for non-US link in $MIRROR/dists/$CODENAME
if [ ! -L $MIRROR/dists/slink/non-US -a ! -d $MIRROR/dists/slink/non-US ] ; then if [ ! -L $MIRROR/dists/$CODENAME/non-US -a ! -d $MIRROR/dists/$CODENAME/non-US ] ; then
vecho "Does not exist; trying to make one" vecho "Does not exist; trying to make one"
(cd $MIRROR/dists/slink && ln -s $NONUS/dists/slink/non-US >/dev/null 2>&1 ) # Redirect errors - people may have a read-only mirror... (cd $MIRROR/dists/$CODENAME && ln -s $NONUS/dists/$CODENAME/non-US >/dev/null 2>&1 ) # Redirect errors - people may have a read-only mirror...
fi fi
fi fi
@ -431,58 +449,58 @@ if [ $error -eq 0 ] ; then
fi fi
vecho "Making working copies of config files, converting ARCH to $ARCH" vecho "Making working copies of config files, converting ARCH to $ARCH"
if [ -e $TDIR/slink1.list ] ; then if [ -e $TDIR/cd1.list ] ; then
vecho "You already appear to have them. I therefore assume the ones in" vecho "You already appear to have them. I therefore assume the ones in"
vecho "$TDIR are correct and I will leave them alone. If you" vecho "$TDIR are correct and I will leave them alone. If you"
vecho "want to generate new ones, delete the file \"slink1.list\" in" vecho "want to generate new ones, delete the file \"cd1.list\" in"
vecho "$TDIR and try again." vecho "$TDIR and try again."
else else
for i in $DISKLIST for i in $DISKLIST
do do
for TYPE in list info volid extras optional for TYPE in list info volid extras optional
do do
if [ -e slink$i.$TYPE ] ; then if [ -e $CODENAME/cd$i.$TYPE ] ; then
vecho " slink$i.$TYPE" vecho " cd$i.$TYPE"
cat slink$i.$TYPE | sed "s/ARCH/$ARCH/g" >$TDIR/slink$i.$TYPE cat $CODENAME/cd$i.$TYPE | sed "s/ARCH/$ARCH/g" >$TDIR/cd$i.$TYPE
fi fi
done done
done done
vecho " mkisofsrc" vecho " mkisofsrc"
cat mkisofsrc | sed "s/ARCH/$ARCH/g" >$TDIR/.mkisofs cat mkisofsrc | sed "s/ARCH/$ARCH/g" >$TDIR/.mkisofs
ln -s .mkisofs $TDIR/.mkisofsrc ln -s .mkisofs $TDIR/.mkisofsrc
vecho " slink1.needed" vecho " cd1.needed"
slice master slice master
if [ $? -gt 0 ] ; then if [ $? -gt 0 ] ; then
echo "\"slice master\" failed - do you have the slice package installed?" echo "\"slice master\" failed - do you have the slice package installed?"
echo Exit. echo Exit.
exit 1 exit 1
fi fi
echo "# Do not edit this file - it is automatically generated." >$TDIR/slink1.needed echo "# Do not edit this file - it is automatically generated." >$TDIR/cd1.needed
echo "# Edit \"master\" instead." >>$TDIR/slink1.needed echo "# Edit \"master\" instead." >>$TDIR/cd1.needed
cat master.$ARCH | awk -F':' ' cat master.$ARCH | awk -F':' '
/Packages:/ {packages++; next} /Packages:/ {packages++; next}
/.+.+/ {if(packages) {print $1}} /.+.+/ {if(packages) {print $1}}
' |sort |uniq >>$TDIR/slink1.needed ' |sort |uniq >>$TDIR/cd1.needed
rm master.* rm master.*
vecho " slink1.useful" vecho " cd1.useful"
slice useful slice useful
if [ $? -gt 0 ] ; then if [ $? -gt 0 ] ; then
echo "\"slice useful\" failed - do you have the slice package installed?" echo "\"slice useful\" failed - do you have the slice package installed?"
echo Exit. echo Exit.
exit 1 exit 1
fi fi
echo "# Do not edit this file - it is automatically generated." >$TDIR/slink1.useful echo "# Do not edit this file - it is automatically generated." >$TDIR/cd1.useful
echo "# Edit \"useful\" instead." >>$TDIR/slink1.useful echo "# Edit \"useful\" instead." >>$TDIR/cd1.useful
cat useful.$ARCH | awk -F':' ' cat useful.$ARCH | awk -F':' '
/.+.+/ {print $1} /.+.+/ {print $1}
' |sort |uniq >>$TDIR/slink1.useful ' |sort |uniq >>$TDIR/cd1.useful
rm useful.* rm useful.*
# Check for non-US entries in these files - if we mention it then fix it... # Check for non-US entries in these files - if we mention it then fix it...
if [ "$NU"x != "1"x ] ; then if [ "$NU"x != "1"x ] ; then
vecho "non-US option not given, so removing non-US references from file lists" vecho "non-US option not given, so removing non-US references from file lists"
for file in $TDIR/slink*.list for file in $TDIR/cd*.list
do do
mv $file $file.1 mv $file $file.1
vecho " $file" vecho " $file"
@ -494,13 +512,14 @@ fi
if [ $error -eq 0 ] ; then if [ $error -eq 0 ] ; then
if [ "$GENLIST"x = "1"x ] ; then if [ "$GENLIST"x = "1"x ] ; then
echo GENLIST: echo GENLIST:
$BASEDIR/mklist "$MIRROR" "$BASEDIR" "$TDIR" "$ARCH" "$VERBOSE" $BASEDIR/mklist "$MIRROR" "$BASEDIR" "$TDIR" "$ARCH" "$CODENAME" \
"$CODENAME_STATUS" "$SCANPACKAGES" "$VERBOSE"
cd $TDIR cd $TDIR
# Now combine the lists # Now combine the lists
if [ ! -e slink1.list ] ; then if [ ! -e cd1.list ] ; then
echo mklist step failed - $TDIR/slink1.list not found echo mklist step failed - $TDIR/cd1.list not found
echo Exit. echo Exit.
exit 1 exit 1
fi fi
@ -509,15 +528,15 @@ if [ $error -eq 0 ] ; then
echo Exit. echo Exit.
exit 1 exit 1
fi fi
mv slink1.list slink1.list.orig mv cd1.list cd1.list.orig
cat slink1.list.orig | grep -v main/binary- >slink1.list cat cd1.list.orig | grep -v main/binary- >cd1.list
cat list/OUT1 | sed 's/dists\/frozen/dists\/slink/g;s/dists\/stable/dists\/slink/g' >>slink1.list cat list/OUT1 | sed 's/dists\/frozen/dists\/$CODENAME/g;s/dists\/$CODENAME_STATUS/dists\/$CODENAME/g' >>cd1.list
rm slink1.list.orig rm cd1.list.orig
if [ "$SINGLE_DISK"x != "1"x ] ; then if [ "$SINGLE_DISK"x != "1"x ] ; then
# Now combine the lists # Now combine the lists
if [ ! -e slink2.list ] ; then if [ ! -e cd2.list ] ; then
echo mklist step failed - $TDIR/slink2.list not found echo mklist step failed - $TDIR/cd2.list not found
echo Exit. echo Exit.
exit 1 exit 1
fi fi
@ -526,10 +545,10 @@ if [ $error -eq 0 ] ; then
echo Exit. echo Exit.
exit 1 exit 1
fi fi
mv slink2.list slink2.list.orig mv cd2.list cd2.list.orig
cat slink2.list.orig | grep -v main/binary- >slink2.list cat cd2.list.orig | grep -v main/binary- >cd2.list
cat list/OUT2 | sed 's/dists\/frozen/dists\/slink/g;s/dists\/stable/dists\/slink/g' >>slink2.list cat list/OUT2 | sed "s/dists\/frozen/dists\/$CODENAME/g;s/dists\/$CODENAME_STATUS/dists\/$CODENAME/g" >>cd2.list
rm slink2.list.orig rm cd2.list.orig
fi fi
fi fi
fi fi
@ -545,14 +564,14 @@ if [ $error -eq 0 ] ; then
cp -pRs $MIRROR/dists $MIRROR/doc $MIRROR/README* $MIRROR/hamm $MIRROR/indices $MIRROR/ls* $MIRROR/project $MIRROR/tools . cp -pRs $MIRROR/dists $MIRROR/doc $MIRROR/README* $MIRROR/hamm $MIRROR/indices $MIRROR/ls* $MIRROR/project $MIRROR/tools .
# Copy non-US separately if necessary... # Copy non-US separately if necessary...
if [ -L $MIRROR/dists/slink/non-US ] ; then if [ -L $MIRROR/dists/$CODENAME/non-US ] ; then
vecho Adding non-US vecho Adding non-US
rm dists/slink/non-US rm dists/$CODENAME/non-US
mkdir dists/slink/non-US mkdir dists/$CODENAME/non-US
cp -dpRs $NONUS/slink/* dists/slink/non-US cp -dpRs $NONUS/$CODENAME/* dists/$CODENAME/non-US
fi fi
cd dists/slink cd dists/$CODENAME
vecho Putting binary-all links in vecho Putting binary-all links in
find . | $BASEDIR/mklinks $VERBOSE find . | $BASEDIR/mklinks $VERBOSE
MIRROR=$TDIR/tmp-mirror MIRROR=$TDIR/tmp-mirror
@ -570,45 +589,45 @@ if [ $error -eq 0 ] ; then
do do
vecho Disk $i vecho Disk $i
vecho " Make directories" vecho " Make directories"
mkdir -p $TDIR/slink$i/dists/slink mkdir -p $TDIR/$CODENAME$i/dists/$CODENAME
mkdir -p $TDIR/slink$i/.disk mkdir -p $TDIR/$CODENAME$i/.disk
# Oops. We're copying the dists stuff into the root # Oops. We're copying the dists stuff into the root
# directory, the boot-floppies install stuff wants it in # directory, the boot-floppies install stuff wants it in
# /debian. Simple fix... # /debian. Simple fix...
cd $TDIR/slink$i cd $TDIR/$CODENAME$i
ln -s . debian ln -s . debian
# Set up symlinks so things may work. # Set up symlinks so things may work.
cd dists cd dists
ln -s slink stable ln -s $CODENAME $CODENAME_STATUS
# Frozen no longer needed # Frozen no longer needed
# ln -s slink frozen # ln -s $CODENAME frozen
cd stable
cd $TDIR cd $TDIR
vecho " Copy info file" vecho " Copy info file"
(cat slink$i.info | awk '{printf("%s",$0)}'; echo $DATE) \ (cat cd$i.info | awk '{printf("%s",$0)}'; echo $DATE) \
>slink$i/.disk/info >$CODENAME$i/.disk/info
vecho " Copy release notes" vecho " Copy release notes"
cp $MIRROR/dists/slink/main/Release-Notes slink$i cp $MIRROR/dists/$CODENAME/main/Release-Notes $CODENAME$i
vecho " Copy README.1ST" vecho " Copy README.1ST"
echo "This Debian CD was created by slink_cd version $SLINKCD_VERSION on $DATE" >slink$i/README.1ST echo "This Debian CD was created by debian_cd version $DEBIANCD_VERSION on $DATE" >$CODENAME$i/README.1ST
echo "slink_cd is available from $SLINKCD_SITE">>slink$i/README.1ST echo "debian_cd is available from $DEBIANCD_SITE">>$CODENAME$i/README.1ST
echo "This disc is labelled" >>slink$i/README.1ST echo "This disc is labelled" >>$CODENAME$i/README.1ST
echo "" >>slink$i/README.1ST echo "" >>$CODENAME$i/README.1ST
cat slink$i/.disk/info >>slink$i/README.1ST cat $CODENAME$i/.disk/info >>$CODENAME$i/README.1ST
if [ -e $BASEDIR/README.multicd ] ; then if [ -e $BASEDIR/README.multicd ] ; then
vecho " Copy README.multicd" vecho " Copy README.multicd"
cat $BASEDIR/README.multicd >>slink$i/README.multicd cat $BASEDIR/README.multicd >>$CODENAME$i/README.multicd
fi fi
todos slink$i/README.1ST todos $CODENAME$i/README.1ST
cd $MIRROR cd $MIRROR
vecho " Create tree" vecho " Create tree"
for file in `cat $TDIR/slink$i.list` for file in `cat $TDIR/cd$i.list`
do do
cp -dpRPl $file $TDIR/slink$i vecho "cp -dpRPl $file $TDIR/$CODENAME$i"
cp -dpRPl $file $TDIR/$CODENAME$i
done done
done done
@ -621,17 +640,17 @@ if [ $error -eq 0 ] ; then
vecho " Make binary directories" vecho " Make binary directories"
for SECT in $SECTLIST for SECT in $SECTLIST
do do
mkdir -p slink$i/dists/slink/$SECT/binary-$ARCH mkdir -p $CODENAME$i/dists/$CODENAME/$SECT/binary-$ARCH
mkdir -p slink$i/dists/slink/$SECT/binary-all mkdir -p $CODENAME$i/dists/$CODENAME/$SECT/binary-all
done done
vecho " Finish README.1ST" vecho " Finish README.1ST"
echo "" >>slink$i/README.1ST echo "" >>$CODENAME$i/README.1ST
if [ -e $BASEDIR/README.1ST.$ARCH ] ; then if [ -e $BASEDIR/README.1ST.$ARCH ] ; then
cat $BASEDIR/README.1ST.$ARCH >>slink$i/README.1ST cat $BASEDIR/README.1ST.$ARCH >>$CODENAME$i/README.1ST
fi fi
if [ -e $BASEDIR/README.$ARCH ] ; then if [ -e $BASEDIR/README.$ARCH ] ; then
vecho " Copy README.$ARCH" vecho " Copy README.$ARCH"
cat $BASEDIR/README.$ARCH >>slink$i/README.$ARCH cat $BASEDIR/README.$ARCH >>$CODENAME$i/README.$ARCH
fi fi
done done
@ -642,15 +661,15 @@ if [ $error -eq 0 ] ; then
vecho " add Release files" vecho " add Release files"
for SECT in $SECTLIST for SECT in $SECTLIST
do do
if [ -e slink$i/dists/slink/$SECT/binary-$ARCH/Release ] ; then if [ -e $CODENAME$i/dists/$CODENAME/$SECT/binary-$ARCH/Release ] ; then
rm -f slink$i/dists/slink/$SECT/binary-$ARCH/Release rm -f $CODENAME$i/dists/$CODENAME/$SECT/binary-$ARCH/Release
fi fi
if [ -d slink$i/dists/slink/$SECT/binary-$ARCH ] ; then if [ -d $CODENAME$i/dists/$CODENAME/$SECT/binary-$ARCH ] ; then
if [ -e slink$i/dists/slink/$SECT/binary-$ARCH/Release ] ; then if [ -e $CODENAME$i/dists/$CODENAME/$SECT/binary-$ARCH/Release ] ; then
cat $MIRROR/dists/slink/$SECT/binary-$ARCH/Release \ cat $MIRROR/dists/$CODENAME/$SECT/binary-$ARCH/Release \
| sed 's/frozen/stable/g' \ | sed 's/frozen/stable/g' \
> slink$i/dists/slink/$SECT/binary-$ARCH/Release > $CODENAME$i/dists/$CODENAME/$SECT/binary-$ARCH/Release
fi fi
fi fi
done done
@ -660,9 +679,9 @@ if [ $error -eq 0 ] ; then
if [ "$ARCH"x = "i386"x ] ; then if [ "$ARCH"x = "i386"x ] ; then
vecho "Disk 1" vecho "Disk 1"
vecho " upgrade-2.0-i386" vecho " upgrade-2.0-i386"
(cd $TDIR/slink1 && ln -s dists/stable/main/upgrade-2.0-i386) (cd $TDIR/cd1 && ln -s dists/$CODENAME_STATUS/main/upgrade-2.0-i386)
vecho " upgrade-older-i386" vecho " upgrade-older-i386"
(cd $TDIR/slink1 && ln -s dists/stable/main/upgrade-older-i386) (cd $TDIR/cd1 && ln -s dists/$CODENAME_STATUS/main/upgrade-older-i386)
fi fi
fi fi
fi fi
@ -670,7 +689,7 @@ fi
# Fix the crypt++el_2.84-2.deb brokenness in non-US - temporary workaround... # Fix the crypt++el_2.84-2.deb brokenness in non-US - temporary workaround...
if [ "$NU"x = "1"x ] ; then if [ "$NU"x = "1"x ] ; then
vecho "Looking for broken crypt++el_2.84-2.deb link in non-US..." vecho "Looking for broken crypt++el_2.84-2.deb link in non-US..."
cd $TDIR/slink2/dists/slink/non-US/binary-$ARCH cd $TDIR/cd2/dists/$CODENAME/non-US/binary-$ARCH
if [ -L crypt++el_2.84-2.deb ] ; then if [ -L crypt++el_2.84-2.deb ] ; then
link=`ls -l crypt++el_2.84-2.deb | awk '{print $11}'` link=`ls -l crypt++el_2.84-2.deb | awk '{print $11}'`
if [ "$link"x != "../binary-all/crypt++el_2.84-2.deb"x ] ; then if [ "$link"x != "../binary-all/crypt++el_2.84-2.deb"x ] ; then
@ -698,29 +717,29 @@ vecho Generating file list:
vecho ' *.deb' vecho ' *.deb'
for i in $BINLIST for i in $BINLIST
do do
vecho " slink$i" vecho " $CODENAME$i"
find slink$i -name *.deb >>binary find $CODENAME$i -name *.deb >>binary
done done
vecho ' *.tar.gz' vecho ' *.tar.gz'
for i in $DISKLIST for i in $DISKLIST
do do
vecho " slink$i" vecho " $CODENAME$i"
find slink$i -name *.tar.gz >>targz find $CODENAME$i -name *.tar.gz >>targz
done done
vecho ' *.diff.gz' vecho ' *.diff.gz'
for i in $DISKLIST for i in $DISKLIST
do do
vecho " slink$i" vecho " $CODENAME$i"
find slink$i -name *.diff.gz >>diffgz find $CODENAME$i -name *.diff.gz >>diffgz
done done
vecho ' *.dsc' vecho ' *.dsc'
for i in $DISKLIST for i in $DISKLIST
do do
vecho " slink$i" vecho " $CODENAME$i"
find slink$i -name *.dsc >>dsc find $CODENAME$i -name *.dsc >>dsc
done done
# Now we need to flatten out links pointing outside the tree # Now we need to flatten out links pointing outside the tree
@ -743,7 +762,7 @@ if [ $error -eq 0 ] ; then
echo MD5CHECK: echo MD5CHECK:
# First grab all the details from the appropriate Packages files # First grab all the details from the appropriate Packages files
vecho Creating MD5 list of packages for comparison vecho Creating MD5 list of packages for comparison
cd $MIRROR/dists/slink cd $MIRROR/dists/$CODENAME
# build the list of packages files to read (either compressed or not) # build the list of packages files to read (either compressed or not)
for SECT in $SECTLIST for SECT in $SECTLIST
@ -884,31 +903,31 @@ if [ $error -eq 0 ] ; then
for i in $BINLIST for i in $BINLIST
do do
echo Creating Packages-main for disc $i echo Creating Packages-main for disc $i
if [ ! -e $MIRROR/indices/override.slink.gz ] ; then if [ ! -e $MIRROR/indices/override.$CODENAME.gz ] ; then
echo "Override file $MIRROR/indices/override.slink.gz not found. We cannot" echo "Override file $MIRROR/indices/override.$CODENAME.gz not found. We cannot"
echo "generate our Packages file(s) without this file. Check you are mirroring the" echo "generate our Packages file(s) without this file. Check you are mirroring the"
echo "indices/ directory" echo "indices/ directory"
echo "Exit." echo "Exit."
exit 1 exit 1
fi fi
(cd $TDIR/slink$i/dists/stable/main && \ (cd $TDIR/$CODENAME$i/dists/$CODENAME_STATUS/main && \
dpkg-scanpackages -m "`cat $TDIR/slink$i/.disk/info`" \ $SCANPACKAGES -m "`cat $TDIR/$CODENAME$i/.disk/info`" \
binary-$ARCH $MIRROR/indices/override.slink.gz \ binary-$ARCH $MIRROR/indices/override.$CODENAME.gz \
dists/stable/main/ > $TDIR/Packages-main.$i) dists/$CODENAME_STATUS/main/ > $TDIR/Packages-main.$i)
if [ "$SINGLE_DISK"x != "1"x ] ; then if [ "$SINGLE_DISK"x != "1"x ] ; then
echo Creating Packages-contrib for disc $i echo Creating Packages-contrib for disc $i
if [ ! -e $MIRROR/indices/override.slink.contrib.gz ] ; then if [ ! -e $MIRROR/indices/override.$CODENAME.contrib.gz ] ; then
echo "Override file $MIRROR/indices/override.slink.contrib.gz not found. We cannot" echo "Override file $MIRROR/indices/override.$CODENAME.contrib.gz not found. We cannot"
echo "generate our Packages file(s) without this file. Check you are mirroring the" echo "generate our Packages file(s) without this file. Check you are mirroring the"
echo "indices/ directory" echo "indices/ directory"
echo "Exit." echo "Exit."
exit 1 exit 1
fi fi
(cd $TDIR/slink$i/dists/stable/contrib && \ (cd $TDIR/$CODENAME$i/dists/$CODENAME_STATUS/contrib && \
dpkg-scanpackages -m "`cat $TDIR/slink$i/.disk/info`" \ $SCANPACKAGES -m "`cat $TDIR/$CODENAME$i/.disk/info`" \
binary-$ARCH $MIRROR/indices/override.slink.contrib.gz \ binary-$ARCH $MIRROR/indices/override.$CODENAME.contrib.gz \
dists/stable/contrib/ > $TDIR/Packages-contrib.$i) dists/$CODENAME_STATUS/contrib/ > $TDIR/Packages-contrib.$i)
fi fi
if [ "$NU"x = "1"x ] ; then if [ "$NU"x = "1"x ] ; then
@ -918,14 +937,14 @@ if [ $error -eq 0 ] ; then
# $MIRROR/indices (and with a different filename!!!) # $MIRROR/indices (and with a different filename!!!)
# Check for both in turn... # Check for both in turn...
OVER_NU=/foo # default catch-all OVER_NU=/foo # default catch-all
if [ -e $NONUS/indices/override.slink.nonus ] ; then if [ -e $NONUS/indices/override.$CODENAME.nonus ] ; then
OVER_NU=$NONUS/indices/override.slink.nonus OVER_NU=$NONUS/indices/override.$CODENAME.nonus
elif [ -e $NONUS/indices/override.slink.nonus.gz ] ; then elif [ -e $NONUS/indices/override.$CODENAME.nonus.gz ] ; then
OVER_NU=$NONUS/indices/override.slink.nonus.gz OVER_NU=$NONUS/indices/override.$CODENAME.nonus.gz
elif [ -e $MIRROR/indices/override.non-us.slink ] ; then elif [ -e $MIRROR/indices/override.non-us.$CODENAME ] ; then
OVER_NU=$MIRROR/indices/override.non-us.slink OVER_NU=$MIRROR/indices/override.non-us.$CODENAME
elif [ -e $MIRROR/indices/override.non-us.slink.gz ] ; then elif [ -e $MIRROR/indices/override.non-us.$CODENAME.gz ] ; then
OVER_NU=$MIRROR/indices/override.non-us.slink.gz OVER_NU=$MIRROR/indices/override.non-us.$CODENAME.gz
fi fi
if [ ! -e "$OVER_NU" ] ; then if [ ! -e "$OVER_NU" ] ; then
echo "Override file "$OVER_NU" not found. We cannot" echo "Override file "$OVER_NU" not found. We cannot"
@ -934,31 +953,31 @@ if [ $error -eq 0 ] ; then
echo "Exit." echo "Exit."
exit 1 exit 1
fi fi
(cd $TDIR/slink$i/dists/stable/non-US && \ (cd $TDIR/$CODENAME$i/dists/$CODENAME_STATUS/non-US && \
dpkg-scanpackages -m "`cat $TDIR/slink$i/.disk/info`" \ $SCANPACKAGES -m "`cat $TDIR/$CODENAME$i/.disk/info`" \
binary-$ARCH $OVER_NU \ binary-$ARCH $OVER_NU \
dists/stable/non-US/ > $TDIR/Packages-non-US.$i) dists/$CODENAME_STATUS/non-US/ > $TDIR/Packages-non-US.$i)
fi fi
if [ "$NF"x = "1"x ] ; then if [ "$NF"x = "1"x ] ; then
echo Creating Packages-non-free for disc $i echo Creating Packages-non-free for disc $i
if [ ! -e $MIRROR/indices/override.slink.non-free.gz ] ; then if [ ! -e $MIRROR/indices/override.$CODENAME.non-free.gz ] ; then
echo "Override file $MIRROR/indices/override.slink.non-free.gz not found. We cannot" echo "Override file $MIRROR/indices/override.$CODENAME.non-free.gz not found. We cannot"
echo "generate our Packages file(s) without this file. Check you are mirroring the" echo "generate our Packages file(s) without this file. Check you are mirroring the"
echo "indices/ directory" echo "indices/ directory"
echo "Exit." echo "Exit."
exit 1 exit 1
fi fi
(cd $TDIR/slink$i/dists/stable/non-free && \ (cd $TDIR/$CODENAME$i/dists/$CODENAME_STATUS/non-free && \
dpkg-scanpackages -m "`cat $TDIR/slink$i/.disk/info`" \ $SCANPACKAGES -m "`cat $TDIR/$CODENAME$i/.disk/info`" \
binary-$ARCH $MIRROR/indices/override.slink.non-free.gz \ binary-$ARCH $MIRROR/indices/override.$CODENAME.non-free.gz \
dists/stable/non-free/ > $TDIR/Packages-non-free.$i) dists/$CODENAME_STATUS/non-free/ > $TDIR/Packages-non-free.$i)
fi fi
done done
echo "Checking dependencies" echo "Checking dependencies"
echo " CD #1" echo " CD #1"
>/tmp/foo # >/tmp/foo
$BASEDIR/pkg-order --nocheck-conflicts --nooutput-order --installed-packages /tmp/foo $TDIR/Packages-main.1 >$TDIR/pkg-order.1 2>&1 $BASEDIR/pkg-order --nocheck-conflicts --nooutput-order --installed-packages /tmp/foo $TDIR/Packages-main.1 >$TDIR/pkg-order.1 2>&1
if [ $? -gt 0 ] ; then if [ $? -gt 0 ] ; then
echo "Dependencies of CD #1 cannot be met:" echo "Dependencies of CD #1 cannot be met:"
@ -1000,16 +1019,16 @@ if [ $error -eq 0 ] ; then
# First of all, create normal-type Packages files # First of all, create normal-type Packages files
for SECT in $SECTLIST for SECT in $SECTLIST
do do
rm -f slink$i/dists/stable/$SECT/binary-$ARCH/Packages* rm -f $CODENAME$i/dists/$CODENAME_STATUS/$SECT/binary-$ARCH/Packages*
cat Packages-$SECT.$i | \ cat Packages-$SECT.$i | \
grep -v ^X-Medium \ grep -v ^X-Medium \
>slink$i/dists/stable/$SECT/binary-$ARCH/Packages >$CODENAME$i/dists/$CODENAME_STATUS/$SECT/binary-$ARCH/Packages
cat Packages-$SECT.$i | grep -v ^X-Medium | \ cat Packages-$SECT.$i | grep -v ^X-Medium | \
gzip -9 >slink$i/dists/stable/$SECT/binary-$ARCH/Packages.gz gzip -9 >$CODENAME$i/dists/$CODENAME_STATUS/$SECT/binary-$ARCH/Packages.gz
done done
# Now the Packages.cd files # Now the Packages.cd files
vecho slink$i vecho $CODENAME$i
# Be slightly clever here - only copy Packages data for # Be slightly clever here - only copy Packages data for
# disc nos. less than or equal to the one we're on - disc # disc nos. less than or equal to the one we're on - disc
@ -1026,16 +1045,16 @@ if [ $error -eq 0 ] ; then
if [ -e Packages-$SECT.$j ] ; then if [ -e Packages-$SECT.$j ] ; then
vecho " Packages-$SECT.$j" vecho " Packages-$SECT.$j"
cat Packages-$SECT.$j >> \ cat Packages-$SECT.$j >> \
slink$i/dists/stable/$SECT/binary-$ARCH/Packages.cd $CODENAME$i/dists/$CODENAME_STATUS/$SECT/binary-$ARCH/Packages.cd
cat Packages-$SECT.$j | gzip -9 >> \ cat Packages-$SECT.$j | gzip -9 >> \
slink$i/dists/stable/$SECT/binary-$ARCH/Packages.cd.gz $CODENAME$i/dists/$CODENAME_STATUS/$SECT/binary-$ARCH/Packages.cd.gz
fi fi
done done
fi fi
done done
vecho " Contents-$ARCH.gz" vecho " Contents-$ARCH.gz"
cp -pl $MIRROR/dists/slink/Contents-$ARCH.gz slink$i/dists/stable cp -pl $MIRROR/dists/$CODENAME/Contents-$ARCH.gz $CODENAME$i/dists/$CODENAME_STATUS
done done
fi fi
fi fi
@ -1048,11 +1067,11 @@ if [ $error -eq 0 ] ; then
vecho "Making bootable images for $ARCH..." vecho "Making bootable images for $ARCH..."
cd $TDIR cd $TDIR
mkdir -m 755 slink1/install mkdir -m 755 cd1/install
(cd slink1/dists/stable/main/disks-$ARCH/current/ ; \ (cd cd1/dists/$CODENAME_STATUS/main/disks-$ARCH/current/ ; \
cp *.txt *.html $TDIR/slink1/install ) cp *.txt *.html $TDIR/cd1/install )
(cd slink1/doc; (cd cd1/doc;
for file in ../install/*.{html,txt}; do ln -s $file; done) for file in ../install/*.{html,txt}; do ln -s $file; done)
# Hack for bootable disks # Hack for bootable disks
@ -1080,7 +1099,7 @@ fi
# define extra mkisofs flags for CD image creation # define extra mkisofs flags for CD image creation
# (this part cannot fit in the above section because it is not required to run # (this part cannot fit in the above section because it is not required to run
# slink_cd with *both* BOOT & IMAGEx options enabled at one time) # debian_cd with *both* BOOT & IMAGEx options enabled at one time)
cd $TDIR cd $TDIR
case "$ARCH"x in case "$ARCH"x in
"i386"x) "i386"x)
@ -1095,10 +1114,10 @@ case "$ARCH"x in
if [ -d boot1 ]; then if [ -d boot1 ]; then
MKISOFS_OPTS_DISC1="boot1" MKISOFS_OPTS_DISC1="boot1"
# move install tree to correct location # move install tree to correct location
if [ -d $TDIR/slink1/install ] ; then if [ -d $TDIR/cd1/install ] ; then
vecho "Moving install to boot1" vecho "Moving install to boot1"
rm -rf $TDIR/boot1/install || true rm -rf $TDIR/boot1/install || true
mv $TDIR/slink1/install $TDIR/boot1 mv $TDIR/cd1/install $TDIR/boot1
fi fi
fi fi
;; ;;
@ -1123,12 +1142,12 @@ if [ $error -eq 0 ] ; then
cd $TDIR cd $TDIR
for i in $DISKLIST for i in $DISKLIST
do do
if [ -f $TDIR/slink$i.extras ] ; then if [ -f $TDIR/cd$i.extras ] ; then
vecho " slink$i extras:" vecho " $CODENAME$i extras:"
mkdir slink$i/extras mkdir $CODENAME$i/extras
cp -R `cat $TDIR/slink$i.extras` slink$i/extras cp -R `cat $TDIR/cd$i.extras` $CODENAME$i/extras
else else
vecho " slink$i has no extras" vecho " $CODENAME$i has no extras"
fi fi
done done
fi fi
@ -1140,9 +1159,9 @@ if [ $error -eq 0 ] ; then
vecho "Generating md5sums for contents of each disk:" vecho "Generating md5sums for contents of each disk:"
for i in $DISKLIST for i in $DISKLIST
do do
cd $TDIR/slink$i cd $TDIR/$CODENAME$i
vecho " Disk $i" vecho " Disk $i"
find . -follow -type f | grep -v "\./md5sum" | grep -v "/dists/stable" | xargs md5sum > md5sum.txt find . -follow -type f | grep -v "\./md5sum" | grep -v "/dists/$CODENAME_STATUS" | xargs md5sum > md5sum.txt
done done
# Generate some sizes here. Unfortunately no use at all if we're # Generate some sizes here. Unfortunately no use at all if we're
# using a sym-link farm... # using a sym-link farm...
@ -1169,53 +1188,53 @@ if [ $error -eq 0 ] ; then
if [ "$IMAGE1"x = "1"x ] ; then if [ "$IMAGE1"x = "1"x ] ; then
echo IMAGE1: echo IMAGE1:
VOLID1=`cat $TDIR/slink1.volid` VOLID1=`cat $TDIR/cd1.volid`
vecho "Making image of slink1 to $OUT/slink1-$ARCH.raw" vecho "Making image of cd1 to $OUT/$(CODENAME)1-$ARCH.raw"
vecho $MKISOFS $MKISOFS_OPTS -V "$VOLID1" \ vecho $MKISOFS $MKISOFS_OPTS -V "$VOLID1" \
-o $OUT/slink1-$ARCH.raw $MKISOFS_OPTS_DISC1 slink1 -o $OUT/$(CODENAME)1-$ARCH.raw $MKISOFS_OPTS_DISC1 cd1
$MKISOFS $MKISOFS_OPTS -V "$VOLID1" \ $MKISOFS $MKISOFS_OPTS -V "$VOLID1" \
-o $OUT/slink1-$ARCH.raw $MKISOFS_OPTS_DISC1 slink1 -o $OUT/$(CODENAME)1-$ARCH.raw $MKISOFS_OPTS_DISC1 cd1
fi fi
if [ "$IMAGE2"x = "1"x ] ; then if [ "$IMAGE2"x = "1"x ] ; then
echo IMAGE2: echo IMAGE2:
VOLID2=`cat $TDIR/slink2.volid` VOLID2=`cat $TDIR/cd2.volid`
vecho "Making image of slink2 to $OUT/slink2-$ARCH.raw" vecho "Making image of cd2 to $OUT/$(CODENAME)2-$ARCH.raw"
vecho $MKISOFS $MKISOFS_OPTS -V "$VOLID2" \ vecho $MKISOFS $MKISOFS_OPTS -V "$VOLID2" \
-o $OUT/slink2-$ARCH.raw $MKISOFS_OPTS_DISC2 slink2 -o $OUT/$(CODENAME)2-$ARCH.raw $MKISOFS_OPTS_DISC2 cd2
$MKISOFS $MKISOFS_OPTS -V "$VOLID2" \ $MKISOFS $MKISOFS_OPTS -V "$VOLID2" \
-o $OUT/slink2-$ARCH.raw $MKISOFS_OPTS_DISC2 slink2 -o $OUT/$(CODENAME)2-$ARCH.raw $MKISOFS_OPTS_DISC2 cd2
fi fi
if [ "$IMAGE3"x = "1"x ] ; then if [ "$IMAGE3"x = "1"x ] ; then
echo IMAGE3: echo IMAGE3:
VOLID3=`cat $TDIR/slink3.volid` VOLID3=`cat $TDIR/cd3.volid`
vecho "Making image of slink3 to $OUT/slink3.raw" vecho "Making image of cd3 to $OUT/$(CODENAME)3.raw"
vecho $MKISOFS $MKISOFS_OPTS -V "$VOLID3" \ vecho $MKISOFS $MKISOFS_OPTS -V "$VOLID3" \
-o $OUT/slink3.raw $MKISOFS_OPTS_DISC3 slink3 -o $OUT/$(CODENAME)3.raw $MKISOFS_OPTS_DISC3 cd3
$MKISOFS $MKISOFS_OPTS -V "$VOLID3" \ $MKISOFS $MKISOFS_OPTS -V "$VOLID3" \
-o $OUT/slink3.raw $MKISOFS_OPTS_DISC3 slink3 -o $OUT/$(CODENAME)3.raw $MKISOFS_OPTS_DISC3 cd3
fi fi
if [ "$IMAGE4"x = "1"x ] ; then if [ "$IMAGE4"x = "1"x ] ; then
echo IMAGE4: echo IMAGE4:
VOLID4=`cat $TDIR/slink4.volid` VOLID4=`cat $TDIR/cd4.volid`
vecho "Making image of slink4 to $OUT/slink4.raw" vecho "Making image of cd4 to $OUT/$(CODENAME)4.raw"
vecho $MKISOFS $MKISOFS_OPTS -V "$VOLID4" \ vecho $MKISOFS $MKISOFS_OPTS -V "$VOLID4" \
-o $OUT/slink4.raw $MKISOFS_OPTS_DISC4 slink4 -o $OUT/$(CODENAME)4.raw $MKISOFS_OPTS_DISC4 cd4
$MKISOFS $MKISOFS_OPTS -V "$VOLID4" \ $MKISOFS $MKISOFS_OPTS -V "$VOLID4" \
-o $OUT/slink4.raw $MKISOFS_OPTS_DISC4 slink4 -o $OUT/$(CODENAME)4.raw $MKISOFS_OPTS_DISC4 cd4
fi fi
if [ "$IMAGE5"x = "1"x ] ; then if [ "$IMAGE5"x = "1"x ] ; then
echo IMAGE5: echo IMAGE5:
VOLID5=`cat $TDIR/slink5.volid` VOLID5=`cat $TDIR/cd5.volid`
vecho "Making image of slink5 to $OUT/slink5-$ARCH.raw" vecho "Making image of cd5 to $OUT/$(CODENAME)5-$ARCH.raw"
if [ "$NF"x = "1"x ] ; then if [ "$NF"x = "1"x ] ; then
vecho $MKISOFS $MKISOFS_OPTS -V "$VOLID5" \ vecho $MKISOFS $MKISOFS_OPTS -V "$VOLID5" \
-o $OUT/slink5-$ARCH.raw $MKISOFS_OPTS_DISC5 slink5 -o $OUT/$(CODENAME)5-$ARCH.raw $MKISOFS_OPTS_DISC5 cd5
$MKISOFS $MKISOFS_OPTS -V "$VOLID5" \ $MKISOFS $MKISOFS_OPTS -V "$VOLID5" \
-o $OUT/slink5-$ARCH.raw $MKISOFS_OPTS_DISC5 slink5 -o $OUT/$(CODENAME)5-$ARCH.raw $MKISOFS_OPTS_DISC5 cd5
fi fi
fi fi
fi fi
@ -1224,21 +1243,21 @@ fi
if [ $error -eq 0 ] ; then if [ $error -eq 0 ] ; then
if [ "$IMAGE1"x = "1"x ] ; then if [ "$IMAGE1"x = "1"x ] ; then
if [ "$ARCH"x = "alpha"x ] ; then if [ "$ARCH"x = "alpha"x ] ; then
vecho "Making slink1 image bootable" vecho "Making $CODNAME1 image bootable"
isomarkboot $OUT/slink1-$ARCH.raw /boot/bootlx /dists/slink/main/disks-al/1999-03-/root1440.bin isomarkboot $OUT/$(CODENAME)1-$ARCH.raw /boot/bootlx /dists/$CODENAME/main/disks-al/1999-03-/root1440.bin
fi fi
if [ "$ARCH"x = "sparc"x ] ; then if [ "$ARCH"x = "sparc"x ] ; then
# temporary mount point (eg. for silo to create the # temporary mount point (eg. for silo to create the
# bootable CD image) only needed for Sparc so far... # bootable CD image) only needed for Sparc so far...
vecho Checking for temporary mount point for SILO vecho Checking for temporary mount point for SILO
mountpoint=/var/tmp/slink_cd.mnt mountpoint=/var/tmp/$(CODENAME)_cd.mnt
if [ -d $mountpoint ]; then if [ -d $mountpoint ]; then
umount $mountpoint || true umount $mountpoint || true
else else
mkdir -p $mountpoint mkdir -p $mountpoint
fi fi
vecho "Making slink1 image bootable" vecho "Making $(CODENAME)1 image bootable"
EXECARCH=`dpkg --print-installation-architecture` EXECARCH=`dpkg --print-installation-architecture`
if [ "$EXECARCH"x = "sparc"x ]; then if [ "$EXECARCH"x = "sparc"x ]; then
siloprog=silo siloprog=silo
@ -1251,11 +1270,11 @@ if [ $error -eq 0 ] ; then
cd3=/install/linux-2.2.1-a.out cd3=/install/linux-2.2.1-a.out
cd4=/install/linux-2.2.1-sun4u-a.out cd4=/install/linux-2.2.1-sun4u-a.out
cd5=/install/root.bin cd5=/install/root.bin
echo "mount -o loop $OUT/slink1-$ARCH.raw $mountpoint" echo "mount -o loop $OUT/$(CODENAME)1-$ARCH.raw $mountpoint"
mount -o loop $OUT/slink1-$ARCH.raw $mountpoint mount -o loop $OUT/$(CODENAME)1-$ARCH.raw $mountpoint
vecho $siloprog -r $mountpoint -c $OUT/slink1-$ARCH.raw \ vecho $siloprog -r $mountpoint -c $OUT/$(CODENAME)1-$ARCH.raw \
-C /boot/silo.conf -l $cd1,$cd2,$cd3,$cd4,$cd5 -C /boot/silo.conf -l $cd1,$cd2,$cd3,$cd4,$cd5
$siloprog -r $mountpoint -c $OUT/slink1-$ARCH.raw \ $siloprog -r $mountpoint -c $OUT/$(CODENAME)1-$ARCH.raw \
-C /boot/silo.conf -l $cd1,$cd2,$cd3,$cd4,$cd5 -C /boot/silo.conf -l $cd1,$cd2,$cd3,$cd4,$cd5
umount $mountpoint umount $mountpoint
else else

31
mklist
View File

@ -8,10 +8,13 @@
# $2 is start directory location (where the scripts live) # $2 is start directory location (where the scripts live)
# $3 is tmpdir location # $3 is tmpdir location
# $4 is the binary arch # $4 is the binary arch
# $5 is debug level # $5 is codename of branch of archive.
# $6 is status of branch of archive
# $7 is the scanpackages binary.
# $8 is debug level
VERBOSE=$5
VERBOSE=$8
. $2/vecho # Local definitions for vecho, vvecho, vvvecho . $2/vecho # Local definitions for vecho, vvecho, vvvecho
vecho Creating file lists for CDs 1 and 2 vecho Creating file lists for CDs 1 and 2
@ -21,10 +24,10 @@ cd $3
rm -rf list rm -rf list
mkdir list mkdir list
if [ -f $1/dists/slink/main/binary-$4/Packages.gz ]; then if [ -f $1/dists/$5/main/binary-$4/Packages.gz ]; then
PACKAGES=$1/dists/slink/main/binary-$4/Packages.gz PACKAGES=$1/dists/$5/main/binary-$4/Packages.gz
elif [ -f $1/dists/slink/main/binary-$4/Packages ]; then elif [ -f $1/dists/$5/main/binary-$4/Packages ]; then
PACKAGES=$1/dists/slink/main/binary-$4/Packages PACKAGES=$1/dists/$5/main/binary-$4/Packages
else else
echo "$0: Could not find packages file. Exit." echo "$0: Could not find packages file. Exit."
exit 1 exit 1
@ -36,7 +39,7 @@ fi
# purposes. Warn the user a _lot_, as this may be a symptom of a # purposes. Warn the user a _lot_, as this may be a symptom of a
# really broken setup... # really broken setup...
find $1/dists/slink/main/binary-$4 -type f -follow -newer $PACKAGES >$TDIR/newer.packages find $1/dists/$5/main/binary-$4 -type f -follow -newer $PACKAGES >$3/newer.packages
if [ -s $3/newer.packages ] ; then if [ -s $3/newer.packages ] ; then
PACKAGES=$3/Packages.regenerated PACKAGES=$3/Packages.regenerated
echo " Awooga!" echo " Awooga!"
@ -49,15 +52,15 @@ if [ -s $3/newer.packages ] ; then
echo " Awooga!" echo " Awooga!"
echo " Awooga!" echo " Awooga!"
echo " Awooga!" echo " Awooga!"
(cd $1/dists/slink/main && \ (cd $1/dists/$5/main && \
dpkg-scanpackages binary-$4 $1/indices/override.slink.gz \ $7 binary-$4 $1/indices/override.$5.gz \
dists/stable/main/ > $PACKAGES) dists/$6/main/ > $PACKAGES)
ls -al $PACKAGES ls -al $PACKAGES
fi fi
# optional/extra packages that should be on disc 1 should be listed in # optional/extra packages that should be on disc 1 should be listed in
# slink1.needed. Important/required/standard packages will # cd1.needed. Important/required/standard packages will
# automatically go there, and duplication is OK. slink1.needed no # automatically go there, and duplication is OK. cd1.needed no
# longer needs to be up-to-date with the boot-floppies package, as we # longer needs to be up-to-date with the boot-floppies package, as we
# generate it from their master file now. # generate it from their master file now.
@ -68,7 +71,7 @@ fi
# the third is the Packages file, i.e. the raw data that we're going to use. # the third is the Packages file, i.e. the raw data that we're going to use.
# Output will go to list1 for CD 1, list2 for CD 2, EXCLUDED for removed. # Output will go to list1 for CD 1, list2 for CD 2, EXCLUDED for removed.
zcat -f $3/slink1.needed $3/slink1.useful $2/EOP $2/exclude-$4 $2/EOP $PACKAGES | grep -v '^#' | awk -v verbose=$VERBOSE ' zcat -f $3/cd1.needed $3/cd1.useful $2/EOP $2/exclude-$4 $2/EOP $PACKAGES | grep -v '^#' | awk -v verbose=$VERBOSE '
/END_OF_PROCESSING/ {leave_done++} /END_OF_PROCESSING/ {leave_done++}
@ -173,7 +176,7 @@ cd $1
for i in 1 2 for i in 1 2
do do
vecho "Filling in binary-all links... $i" vecho "Filling in binary-all links... $i"
for file in `cat $3/list/list$i | sed 's/frozen/slink/g;s/stable/slink/g' | awk -v ARCH=$4 '{print $2; REPL=sprintf("binary-%s/",ARCH);gsub(REPL,"binary-all/",$2); print $2}'` for file in `cat $3/list/list$i | sed "s/frozen/$CODENAME/g;s/$6/$5/g" | awk -v ARCH=$4 '{print $2; REPL=sprintf("binary-%s/",ARCH);gsub(REPL,"binary-all/",$2); print $2}'`
do do
if [ -f $file ] ; then if [ -f $file ] ; then
vvecho $file vvecho $file

1
potato/cd1.info Normal file
View File

@ -0,0 +1 @@
Debian GNU/Linux potato (ALPHA pre2.2) 1/4 main binary-ARCH section 1 SAM

5
potato/cd1.list Normal file
View File

@ -0,0 +1,5 @@
dists/potato/main/disks-ARCH
dists/potato/main/upgrade-*ARCH*/
doc
README.*
tools

3
potato/cd2.exras Normal file
View File

@ -0,0 +1,3 @@
/debian/local/potato2-ARCH.extras/*
/debian/local/potato2-all.extras/*
/debian/local/kernel/

1
potato/cd2.info Normal file
View File

@ -0,0 +1 @@
Debian GNU/Linux potato (ALPHA pre2.2) 2/4 main binary-ARCH section 2, contrib SAM

8
potato/cd2.list Normal file
View File

@ -0,0 +1,8 @@
dists/potato/contrib/binary-ARCH
dists/potato/contrib/binary-all
dists/potato/contrib/source
dists/potato/non-US/binary-ARCH
dists/potato/non-US/binary-all
dists/potato/non-US/source
doc
README.*

2
potato/cd3.extras Normal file
View File

@ -0,0 +1,2 @@
/debian/local/potato3-ARCH.extras/*
/debian/local/potato3-all.extras/*

1
potato/cd3.info Normal file
View File

@ -0,0 +1 @@
Debian GNU/Linux potato (ALPHA pre 2.2) 3/4 main source section 1, project SAM

12
potato/cd3.list Normal file
View File

@ -0,0 +1,12 @@
project
doc
README.*
dists/potato/main/source/admin
dists/potato/main/source/base
dists/potato/main/source/comm
dists/potato/main/source/devel
dists/potato/main/source/doc
dists/potato/main/source/editors
dists/potato/main/source/electronics
dists/potato/main/source/games
dists/potato/main/source/graphics

2
potato/cd4.extras Normal file
View File

@ -0,0 +1,2 @@
/debian/local/potato4-ARCH.extras/*
/debian/local/potato4-all.extras/*

1
potato/cd4.info Normal file
View File

@ -0,0 +1 @@
Debian GNU/Linux potato (ALPHA pre 2.2) 4/4 main source section 2 SAM

19
potato/cd4.list Normal file
View File

@ -0,0 +1,19 @@
doc
README.*
dists/potato/main/source/hamradio
dists/potato/main/source/interpreters
dists/potato/main/source/libs
dists/potato/main/source/mail
dists/potato/main/source/math
dists/potato/main/source/misc
dists/potato/main/source/net
dists/potato/main/source/news
dists/potato/main/source/oldlibs
dists/potato/main/source/otherosfs
dists/potato/main/source/shells
dists/potato/main/source/sound
dists/potato/main/source/tex
dists/potato/main/source/text
dists/potato/main/source/utils
dists/potato/main/source/web
dists/potato/main/source/x11

2
potato/cd5.extras Normal file
View File

@ -0,0 +1,2 @@
/debian/local/potato5-ARCH.extras/*
/debian/local/potato5-all.extras/*

1
potato/cd5.info Normal file
View File

@ -0,0 +1 @@
Debian GNU/Linux potato (ALPHA pre 2.2) 5/5 binary-ARCH/source non-free SAM

5
potato/cd5.list Normal file
View File

@ -0,0 +1,5 @@
doc
README.*
dists/potato/non-free/binary-ARCH
dists/potato/non-free/binary-all
dists/potato/non-free/source

795
slink/cd1.needed Normal file
View File

@ -0,0 +1,795 @@
# Packages needed for initial installation suggested setups. Keep up-to-date
# with the boot-floppies package.
3dchess
a2ps
aalib-bin
aalib1
aalib1-dev
abc2ps
abcmidi
abuse
abuse-lib
acct
acidwarp
acm
addressbook
af
afbackup
afbackup-client
afio
afterstep
alias
alien
amanda-client
amanda-common
amanda-server
amaya
amiga-bootstrap
amiga-fdisk
an
anacron
analog
apache
apache-common
apache-dev
apache-doc
apcalc
apcalc-dev
arena
ascd
asmail
asmixer
asmodem
at
atari-bootstrap
atari-fdisk
auctex
aumix
autoconf
automake
bbdb
bc
bibindex
bibtool
biff
bin86
bind
bind-doc
bing
binstats
binutils
bison
bitchx
blast
bonnie
bplay
bsdgames
bsdmainutils
buffer
bug
bzip2
c2man
calc
cam
catdoc
cbb
cdda2wav
cddb
cdrecord
cdtool
cdwrite
cfengine
cfingerd
cflow
cftp
cgi-scripts
cgilib
cgoban
checker
chimera2
clisp
compface
cpio
cpp
cracklib2
cracklib-runtime
cron
cti-ifhp
ctwm
cutils
cvs
cvs-buildpackage
cvs-pcl
cweb
cweb-latex
cxhextris
cxref
data-dumper
dc
ddd
debhelper
debian-policy
debiandoc-sgml
debmake
debsums
dejagnu
developers-reference
devscripts
dftp
dhelp
diald
dialdcost
dialog
diffstat
dist
djtools
dnsutils
doc-debian
doc-linux-html
doc-linux-text
docbook
docbook-doc
docbook-stylesheets
dome
dotfile
dotfile-bash
dotfile-elm
dotfile-emacs
dotfile-fvwm1
dotfile-fvwm2
dotfile-ipfwadm
dotfile-procmail
dotfile-rtin
dotfile-tcsh
dpkg-dev
dpkg-ftp
dpkg-http
dpkg-mountable
dpkg-perl
dpkg-repack
dump
dupload
dvidvi
dxpc
e2fsprogs
echoping
ed
ee
egcc
electric-fence
elib
elk
elkdoc
elm-me+
emacs19
emacs19-el
emacs20
emacs20-el
emacsen-common
eperl
epic
et
eterm
eterm-backgrounds
exim
exmh
expect5.24
expect5.24-dev
exuberant-ctags
f2c
fakeroot
fdflush
fdutils
felt
felt-doc
fetchmail
figlet
file
filerunner
filters
flex
floatbg
flying
fmirror
fort77
fortune-mod
fortunes
freeciv
freetype1
freetype2
ftape-module-2.0.34
ftape-util
fte
ftnchek
fvwm
fvwm-common
fvwm2
fvwm95
fvwmconf
fweb
g++
g77
gawk
gcal
gcc
gcl
gclinfo
gdb
gedit
ghostview
gimp
gimp-data-extras
gltt2
glut-data
glut-doc
glutg3
glutg3-dev
gmemusage
gmp2
gnuchess
gnuchess-book
gnugo
gnuplot
gnushogi
gobjc
gom
gom-x
gpm
groff
gs
gsfonts
gtimer
guile1.3
gv
gzilla
htdig
hyperlatex
hypermail
hyphen-show
iamerican
ibritish
ical
icewm
imagemagick
imlib-base
imlib1
indent
inewsinn
info
inn
innfeed
int-fiction
iplogger
iptraf
ircii
ispell
ivtools
ivtools-bin
ivtools-dev
ivtools-doc
jade
jargon
jed
jed-common
jered
jgraph
joe
jpeginfo
junkbuster
kernel-headers-2.0.35
kernel-package
knews
koules
lacheck
lapack
lapack-dev
lapack-doc
leave
less
lesstifg
lftp
lg-base
lg-issue01to08
lg-issue09
lg-issue10
lg-issue11
lg-issue12
lg-issue13
lg-issue14
lg-issue15
lg-issue16
lg-issue17
lg-issue18
lg-issue19
lg-issue20
lg-issue21
lg-issue22
lg-issue23
lg-issue24
lg-issue25
lg-issue26
lg-issue27
lg-issue28
libc5
libc6-dev
libcgi-perl
libcompfaceg1
libcompress-zlib-perl
libcurses-perl
libdb2
libdelimmatch-perl
libdnd1
libelfg0
libg++2.8.2
libg++272
libgdbm1
libgdbmg1
libgdbmg1-dev
libgimp1
libglib1.1
libgpmg1
libgtk-dev
libgtk-doc
libgtk-perl
libgtk1
libgtk1.1
libgtkmm
libgtkmm-dev
libguile4
libguile4-dev
libhdf4g
libhtml-parser-perl
libident
libio-stringy-perl
libjpeg62
libjpegg6a
liblockdev0-perl
liblockfile0
libmagick4g
libmd5-perl
libmime-base64-perl
libmime-perl
libmpeg1
libncurses4-dev
libnet-perl
libpam0g
libpam0g-util
libpaperg
libpcap0
libpcre1
libpgperl
libpgsql
libpgtcl
libpng0g
libpng2
libproplist0
libpwdb0g
libreadlineg2-dev
librpm1
librx1g
libsp1
libstdc++2.8
libstdc++2.9-dev
libstringlist0
libterm-readkey-perl
libtiff3g
libtime-hires-perl
libtime-period-perl
libtimedate-perl
libtool
libungif3g
libwraster1
libwww-perl
libxbase-perl
lilo
lincity
lincity-svga
lincity-x
liwc
loadmeter
locales
lprng
lprng-doc
lrzsz
lsof-2.0.35
ltrace
lurkftp
luxman
lynx
m4
mac-bootstrap
mac-fdisk
magicfilter
mailtools
mailx
make
make-doc
makepatch
man-db
manpages
manpages-dev
maplay
mc
mctools-lite
megahal
menu
mesa-doc
mesag-dev
mesag3
metamail
mgt
mh
mime-support
mirrordir
mixviews
mkhybrid
mkisofs
mmv
mon
moonlight
most
motifnls
mpack
mpage
mtools
mtr
mtx
multitee
mutt
nas-lib
ncftp
ncurses-term
ncurses3.4
netbase
netcat
netcdfg3
netdiag
nethack
netmaze
netpbm
netpbm1
netris
netstd
nfs-server
nighthawk
nis
nn
nosql
nvi
octave
octave-ci
octave-doc
oleo
olvwm
olwm
omniorb
oneko
packaging-manual
pacman
patch
pdksh
pdl
pdmenu
pente
perl
perl-suid
perl-tk
perlmagick
perlmenu
perlsgml
pftp
pgapack
phalanx
php3
php3-dev
php3-doc
pixmap
pkg-order
plan
playmidi
plotutils
pmac-fdisk-cross
postgresql
postgresql-dev
postgresql-doc
ppp
ppp-pam
printop
procmail
procmail-lib
procmeter
proftpd
psgml
psmisc
pstoedit
pstotext
psutils
publib-dev
purity
pwgen
python-base
python-bsddb
python-curses
python-dev
python-doc
python-elisp
python-examples
python-misc
python-mpz
python-net
python-numeric
python-pmw
python-tk
python-wpy
python-zlib
qpopper
queso
quota
r-base
r-cran
raidtools
razzle
rcs
recode
regina0
rgrep
rpm
rpncalc
rscheme
rsync
ruari-diff
rxvt
s3mod
sac
samba
sane
sash
sc
sced
scm
scotty
scwm
seesat5
sendfile
sgb
sgml-base
sgml-data
sgml-tools
sgmlspm
sharutils
shhmsg
shhopt
signify
sigrot
sirc
slang1-dev
slay
slib
slrn
slsc
smartlist
snake4
sortmail
sox
sp
spider
spline
squid
squidclient
stat
stow
strace
sudo
super
svgalibg1
swish++
swisswatch
symlinks
synaesthesia
sysnews
sysutils
talk
talkd
tama
taper
tcl7.6
tcl8.0
tcl8.0-dev
tcpdump
tcsh
tcsh-i18n
telnet
telnetd
tetex-base
tetex-bin
tetex-doc
tetex-extra
tf
the
the-doc
thrust
time
timidity
timidity-patches
tinyirc
tix41
tk4.2
tk8.0
tk8.0-dev
tkcvs
tkdesk
tkdiff
tkfont
tkinfo
tkirc
tkmail
tkmixer
tkps
tkrat
tkstep8.0
tm
tmpreaper
tob
transfig
tree
trn
ttysnoop
typist
untex
urlview
uudeview
v-dev
v1g
vgacardgames
vgagamespack
vim
vim-rt
visual-tcl
vm-dev
vm1
vmelilo
vrweb
vtwm
w3-el-e20
w3mir
wdiff
wenglish
wget
wm2
wmaker
wmaker-data
wmload
wmmail
word2x
wordplay
workbone
worklog
workman
wvdial
www-pgsql
www-search
wxhelp
wxxt1
wzip
xabacus
xacc
xarclock
xasteroids
xaw-wrappers
xaw3dg
xbanner
xbase-clients
xbattle
xbill
xbl
xblast
xblast-sound
xbmbrowser
xboard
xboing
xbuffy
xcal
xcdroast
xcolors
xcolorsel
xconq
xconq-doc
xcontrib
xcoral
xdaliclock
xdemineur
xdigger
xemacs20-bin
xemacs20-nomule
xemacs20-support
xemeraldia
xevil
xfig
xfig-doc
xfishtank
xflip
xfonts-100dpi
xfonts-75dpi
xfonts-base
xfonts-pex
xfonts-scalable
xftp
xgammon
xjewel
xjig
xkobo
xlaby
xlbiff
xless
xlib6
xlib6g
xlib6g-dev
xlife
xlispstat
xloadimage
xlockmore
xmaddressbook
xmailbox
xmailtool
xmanpages
xmcd
xmcpustate
xmgr
xmille
xmix
xmorph
xmotd
xmountains
xnetload
xntp3
xntp3-doc
xodo
xoids
xoj
xonix
xonix-jahu
xosview
xpaint
xpat2
xphoon
xpilot
xpm4g
xpm4g-dev
xproc
xpuzzles
xroach
xscavenger
xscreensaver
xscreensaver-gl
xserver-common
xserver-fbdev
xserver-mach64
xserver-s3
xserver-svga
xserver-vga16
xshogi
xskat
xsok
xsoldier
xspread
xsysinfo
xtoolwait
xtris
xtrlock
xtron
xtv
xvier
xview-clients
xviewg
xvt
xwave
xzip
xzoom
yorick
ytalk
zed
zgv
zile
zircon
zlib1g
# End of packages for boot-floppies.

1
slink/cd1.volid Normal file
View File

@ -0,0 +1 @@
Debian-ARCH 2.1 Disc 1

416
slink/cd2.optional Normal file
View File

@ -0,0 +1,416 @@
boot-floppies
cfengine_1
cruft
dotfile-bash
dotfile-doc
dotfile-elm
dotfile-emacs
dotfile-fvwm1
dotfile-fvwm2
dotfile-ipfwadm
dotfile-procmail
dotfile-rtin
dotfile-tcsh
dotfile
eql
gtop
karpski
makepasswd
mingetty
moodss
open
slay
stow
sysnews
tmpreaper
ttysnoop
xezmlm
xlogmaster
adbbs
uqwk
atfs-dev
bcc
c-client-dev
c2man
ccmaloc
cflow
checker
cmucl-clm
cmucl-clx
cmucl-hemlock
cmucl
blt8.0-dev
blt8.0-unoff-dev
curves
cxref
dejagnu
dh-make
diffstat
dist
elk
elkdoc
elks-libc
eperl
et
expect5.24-dev
f2c_19971204
f77reorder
freetype1-dev
freetype2-dev
ftnchek
fweb
gettext
glade
gltt2
glutg3
gmp1
gnat
gnats-tk
gnats-user
gnats
gperf
gsl-dev
gtkglarea-dev
gtkglareamm-dev
gtkglareamm
hello-debhelper
hello
hp48cc
icmake
icon-doc
icon-ipl
iconc
icont
iconx
indent
itcl3.0-dev
ivtools-dev
kwnn-dev
lam
lapack-dev
lapack-doc
lesstif-bin
lesstifg-dbg
lesstifg-dev
libatalk1-dev
libaudiofile-dev
libawe0.4-dev
libc6-pic
libcanna1g-dev
libcapplet-dev
libch-dev
libdb2++-dbg
libdb2++-dev
libdb2-dbg
libdb2-dev
libdnd1-dev
libelfg0-dev
libesd0-dev
libgg0-dev
libggi1-dev
libgii0-dev
libgimp-dev
libglib-dbg
libglib-dev
libgnome-dev
libgpmg1-dev
libgsm-bin
libgsm1-dev
libgtk-dbg
libgtk-dev
libgtk1.1-dbg
libgtk1.1-dev
libgtkada0-dev
libgtkmm-dev
libgtkxmhtml-dev
libgtkxmhtml0
libgtop-dev
libguile3-dev
libguile4-dev
libguilegtk-dev
libident-dev
libjs0-dev
liblockdev0g
liblockdev0g-dev
liblockfile-dev
liblzo-dev
libmpeg-dev
libncurses4-dbg
libobgnome-dev
libobgtk-dev
liborbit-dev
liborbit0
libpam0g-dbg
libpam0g-dev
libpanel-applet-dev
libpcap-dev
libpcre1-dev
libproc-dev
libproplist0-dev
libpwdb-doc
libpwdb0g-dbg
libpwdb0g-dev
libreadlineg2-dbg
libreadlineg2-dev
librx1g-dbg
librx1g-dev
libsp1-dev
libstringlist-dev
libtclobjc-dev
libtcp4u3-dev
libwings-dev
libwmaker0-dev
libwn-dev
libwraster1-dev
libxmltok1-dev
libzephyr-dev
libzvt-dev
liwc
m2c
mercury
mesag-dev
ncbi-tools6-dev
newt0.25-dev
omniorb
oo2c
openc++
opt
orbit
pccts
plplot-dev
popt
postgresql-dev
publib-dev
ratfor
regina0-dev
rscheme
series
shhmsg
shhopt
sipp-dev
slang1-pic
slib
smalleiffel
sml-nj
tix41-dev
tkstep4.2-dev
tkstep8.0-dev
v-bin
v-dbg
v-dev
visual-tcl
vm-dbg
vm-dev
wnn-dev
wordnet-dev
wxxt1-dev
angband-doc
asr-manpages
bible-kjv-text
bible-kjv
crossfire-doc
doc-rfc
dstool-doc
dstooltk-doc
elisp-manual
emacs-lisp-intro
fte-cfgdocs
funny-manpages
gclinfo-html
gclinfo
guile1.3-doc
eise-register
jargon
lg-base
lg-issue09
lg-issue10
lg-issue11
lg-issue12
lg-issue13
lg-issue14
lg-issue15
lg-issue16
lg-issue17
lg-issue18
lg-issue19
lg-issue20
lg-issue21
lg-issue22
lg-issue23
lg-issue25
lg-issue26
lg-issue27
lg-issue28
lg-issue29
lg-issue30
lg-issue31
lg-issue32
lg-issue33
libc6-doc21
libggi-doc
libhdf4g-doc
postgresql-doc
selfhtml
tochnog-doc
verse_0.20
vnc-doc
addressbook
acs
geda
gwave
heyu
pcb
x10-automate
x10
xtend
crossfire-maps
crossfire-client
crossfire-server
gnuchess-book
koules
sabre
xblast-sound
xblast
xconq-doc
xconq
imlib-dev
mesa-doc
netpbm-dev
xfig-doc
colrconv
morse
pileup
sccw
twclock
twlog
unixcw
xconvers
z8530-utils
clisp
gcl
gforth
intercal
perl-tk
swi-prolog
swig-doc
swig-examples
swig
yabasic
yforth
bbdb
abacus
admesh
apcalc-dev
apcalc
aribas
bugsx
calc
circlepack
cln
dome
drawmap
dstool
dstooltk
felt-doc
felt
fftw-dev
fftw2
g2
geg
geomview
gnumeric
gnuplot
grace
grafix
gsl
jgraph
meschach-dev
meschach
netcdf-bin
netcdf-doc
netcdf-perl
netcdfg-dev
netcdfg3
octave-ci
octave-doc
octave-htmldoc
octave-plplot
octave-sp
octave-staticlibs
octave
oleo
pdl
pgapack
plotmtv
plotutils
plplot-doc
plplot-tcl
plplot
pspp
python-netcdf
python-numeric
python-plplot
quickplot
r-base
r-cran
r-pdl
rasmol
rpncalc
saml
sciplot
seesat5
sgb
siag-common
slsc
spline
ssystem
tela
tochnog
tsiag
vis5d-doc
vis5d
wzip
x48
xbs
xlispstat
xmgr
xsiag
xtide
yorick-dev
yorick-gist
yorick
bl
display-dhammapada
gstalker
megahal
cfingerd
inn-dev
lesstif-altdev
lesstif-altdbg
libc5-altdbg
libc5-altdev
libcgic1-altdev
libcompface1-altdev
libdl1-altdev
libg++27-altdev
libgd1-altdev
libgdbm1-altdev
libgpm1-altdev
libjpeg-altdev
libpng0-altdev
libpwdb0-altdev
libreadline2-altdev
libregex0-altdev
librx1-altdev
libtiff3-altdev
ncurses3.0-altdev
netcdf-altdev
svgalib1-altdev
tcl76-altdev
tk42-altdev
xlib6-altdev
xpm4-altdev
xview-altdev
zlib1-altdev
END_OF_PROCESSING

1
slink/cd2.volid Normal file
View File

@ -0,0 +1 @@
Debian-ARCH 2.1 Disc 2

1
slink/cd3.volid Normal file
View File

@ -0,0 +1 @@
Debian 2.1 Disc 3

1
slink/cd4.volid Normal file
View File

@ -0,0 +1 @@
Debian 2.1 Disc 4

1
slink/cd5.volid Normal file
View File

@ -0,0 +1 @@
Debian-ARCH 2.1 Disc 5